Subject: Re: Error building PowerPC Toolchain with Crosstool-NG in Cygwin
From: Arnaud Lacombe <[email-masked]>
To: Jeff Gilton <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 8 May 2010 20:41:41 -0400
List-Id: <cygwin.cygwin.com>

Hi,

On Sat, May 8, 2010 at 8:30 PM, Jeff Gilton <[email-masked]> wrote:
> I am trying to build a PowerPC toolchain with Crosstool-NG version 1.7.0. It
> gets most of the way through then fails installing the final C compiler in
> CT_DoExecLog.  It looks like it's trying to build in the Java support so I
> disable Java and it gets farther.  Then it fails installing DUMA so I
> disable that.  Then it fails building ncurses but I could find no way to
> disable that.
>
> I was able to successfully build the toolchain on Linux but I need a version
> that will run in Windows.  I have tried to build it in Cygwin on Windows 7,
> Windows 7 in XP compatibility mode, and Windows XP.  In all cases, I have
> the latest version of Cygwin.
>
> I am not quite sure how to troubleshoot this.  Right now, I've modified
> crosstool-NG-sh to run bash in verbose mode to see if it can tell me where
> the build is really failing.  I know it's not an error in CT_DoExecLog
> itself because that is used extensively and the build gets over 3/4 of the
> way through.
>
> Any pointers on how to troubleshoot this will be greatly appreciated.
>
ncurses is pulled in by GDB, from 300-gdb.sh:

# The version of ncurses to use. Yes, it's hard-coded.
# It's used only internally by crosstool-NG, and is
# not exposed outside, so we don't care about providing
# config options for this.

If you don't need gdb, you may want to disable it. Can you eventually
post the full error message ?

Thanks,
 - Arnaud

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple